using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Impresion
{
    public class CreateEstadoBobinaDto
    {
        [Required(ErrorMessage = "La denominación del estado de bobina es obligatoria.")]
        [StringLength(50, ErrorMessage = "La denominación no puede exceder los 50 caracteres.")]
        public string Denominacion { get; set; } = string.Empty;

        [StringLength(150, ErrorMessage = "La observación no puede exceder los 150 caracteres.")]
        public string? Obs { get; set; } // Observación es opcional
    }
}